S(3)

NAME
boost::property_tree::customize_stream<Ch,_Traits,_Ch,_void>

SYNOPSIS

// In header: <boost/property_tree/stream_translator.hpp>
template<typename Ch, typename Traits>
struct customize_stream<Ch, Traits, Ch, void> {
  // public static functions
  static void insert(std::basic_ostream< Ch, Traits > &, Ch);
  static void extract(std::basic_istream< Ch, Traits > &, Ch &);
};

DESCRIPTION

  customize_stream public static functions

    1.

    static void insert(std::basic_ostream< Ch, Traits > & s, Ch e);

    2.

    static void extract(std::basic_istream< Ch, Traits > & s, Ch & e);